%define version	1.19.3
%define release 3mdk
%define url 	ftp://metalab.unc.edu/pub/linux/system/mouse

Summary:	A mouse server for the Linux console
Name:		gpm
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Servers
BuildRequires:	ncurses-devel

Source:		%{url}/gpm-%{version}.tar.bz2
Source1:	gpm.init

Patch0:		gpm-nops.patch.bz2
Patch2:		gpm-1.17.5-docfix.patch.bz2
Patch3: 	gpm-nonroot.patch.bz2
Patch4: 	gpm-root.patch.bz2
Patch5: 	gpm-1.19.1-secenhance.patch.bz2
Patch6: 	gpm-1.19.2-limits.patch.bz2

Prereq: 	/sbin/chkconfig, /sbin/ldconfig, /sbin/install-info
# this defines the library version that this package builds.
%define LIBMAJ 1
%define LIBVER %{LIBMAJ}.18.0
BuildRoot:	%{_tmppath}/gpm-root

%description
Gpm provides mouse support to text-based Linux applications like the
emacs editor, the Midnight Commander file management system, and other
programs.  Gpm also provides console cut-and-paste operations using
the mouse and includes a program to allow pop-up menus to appear at
the click of a mouse button.

Gpm should be installed if you intend to use a mouse with your Linux
Mandrake system.

%package devel
Requires:	gpm
Summary:	Libraries and header files for developing mouse driven programs.
Group:		Development/C

%description devel
The gpm-devel package contains the libraries and header files needed
for development of mouse driven programs.  This package allows you to
develop text-mode programs which use the mouse.

Install gpm-devel if you need to develop text-mode programs which will use
the mouse.  You'll also need to install the gpm package.

%prep
%setup -q
%patch0 -p1 -b .nops
%patch2 -p1 -b .docfix
%patch3 -p1 -b .nonroot
%patch4 -p1 -b .root
%patch5 -p1 -b .secenhance
%patch6 -p1 -b .limits

%build
autoconf
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS" \
lispdir=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp \
%configure

%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}

PATH=/sbin:$PATH:%{_sbindir}:$PATH

%makeinstall lispdir=%{buildroot}%{_datadir}/emacs/site-lisp

install -m644 doc/gpm-root.1 %{buildroot}%{_mandir}/man1
install -m644 gpm-root.conf %{buildroot}%{_sysconfdir}
install -s -m755 hltest %{buildroot}%{_bindir}
make t-mouse.el t-mouse.elc
install -d 755 %{buildroot}%{_datadir}/emacs/site-lisp
install -m644 t-mouse.el* %{buildroot}%{_datadir}/emacs/site-lisp
    
ln -sf libgpm.so.%{LIBVER} %{buildroot}%{_libdir}/libgpm.so
ln -sf libgpm.so.%{LIBVER} %{buildroot}%{_libdir}/libgpm.so.%{LIBMAJ}

mkdir -p %{buildroot}%{_initrddir}  
install -m 755 $RPM_SOURCE_DIR/gpm.init %{buildroot}%{_initrddir}/gpm

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add gpm
/sbin/ldconfig
if [ -x "/sbin/install-info" ]; then
%_install_info %{name}.info
fi

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del gpm
fi
%_remove_install_info %{name}.info

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/gpm-root.conf
%{_bindir}/mev
%{_bindir}/gpm-root
%{_bindir}/hltest
%{_sbindir}/gpm
%{_datadir}/emacs/site-lisp/t-mouse.el
%{_datadir}/emacs/site-lisp/t-mouse.elc
%{_infodir}/gpm.info*
%{_mandir}/man1/mev.1*
%{_mandir}/man1/gpm-root.1*
%{_mandir}/man8/gpm.8*
%{_libdir}/libgpm.so.*
%config(noreplace) %{_initrddir}/gpm

%files devel
%defattr(-,root,root)
%{_libdir}/libgpm.a
%{_includedir}/gpm.h
%{_libdir}/libgpm.so

%changelog
* Sun Oct 01 2000 David BAUENS <baudens@mandrakesoft.com> 1.19.3-3mdk
- Allow to build

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.19.3-2mdk
- rebuild for the user of _initrddir macro.

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.19.3-1mdk
- 1.19.3

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.19.2-6mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.2-5mdk
- Fix another typo in postscript :-\ (thanks Eugenio Diaz).

* Thu Jul 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.2-4mdk
- Fix typo in postun script (thanks vincent).

* Thu Jul 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.2-3mdk
- BM and macros.
- Add security fix from Red Hat.

* Thu May 18 2000 Pixel <pixel@mandrakesoft.com> 1.19.2-2mdk
- add libgpm.so.1 to the % files

* Mon Apr 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.2-1mdk
- 1.19.2 (definitely fix sec. hole).

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.1-2mdk
- Correct groups.

* Thu Apr 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19.1-1mdk
- Add security patch for gpm-root by redhat.
- gpm.init cleanup.
- 1.19.1
- Update groups.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- And a relifting for spec.

* Wed Sep 15 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>

- 1.18.0 final : WizardPad procotol and older Synaptics PS/2 touchpads
                 are now supported, gpm allows the touchpad 
                 to be ignored if unplugged, and some other changes. 

* Thu Aug 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix typo in gpm.init (#59).
- Fix building as user.

* Sun Aug  9 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.17.9

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix really stupid type-o (whats sleep?)

* Wed Jul 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- inc %release just to be safe

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>

- test for /sbin/install-info just incase it's not there
 
* Sat Jul  3 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- moved gpm-root.conf from %{_sysconfdir} to %{_sysconfdir} so it actualy works


* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch for the texinfo (new syntax ?).

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 1.17.7
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Thu Mar  4 1999 Matt Wilson <msw@redhat.com>
- updated to 1.17.5

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- avoid using makedev for internal functions (it is a #define in the system
  headers)

* Wed Jan 13 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 1.17.2.

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- enforce the use of -D_GNU_SOURCE so that it will compile on the ARM
- build against glibc 2.1

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- recompiled for manhattan

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.13

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added patch from Richard to get things to build on the SPARC

* Tue Oct 28 1997 Donnie Barnes <djb@redhat.com>
- fixed the emacs patch to install the emacs files in the right
  place (hopefully).

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support
- added install-info

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.10 to 1.12
- added status/restart functionality to init script
- added define LIBVER 1.11

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
